# See license.txt for license details.
# Copyright (c) 2011-2014 Simplistix Ltd, 2016-2019 Chris Withers

import os

from setuptools import setup, find_packages

base_dir = os.path.dirname(__file__)

setup(
    name='configurator',
    version='0.0.dev0',
    author='Chris Withers',
    author_email='chris@simplistix.co.uk',
    license='MIT',
    description="Tools for YAML-based configuration files.",
    long_description=open('docs/description.rst').read(),
    url='https://github.com/Simplistix/configurator',
    classifiers=[
        # 'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
    ],
    packages=find_packages(),
    zip_safe=False,
    include_package_data=True,
    extras_require=dict(
        yaml=['pyyaml'],
        toml=['toml'],
        test=[
            'jinja2',
            'mock',
            'pytest',
            'pytest-cov',
            'testfixtures',
            'voluptuous',
        ],
        build=['sphinx', 'pkginfo', 'setuptools-git', 'twine', 'wheel']
    ),
)
